dbGrid_mouseClick( objectID );

if( objectID.indexOf( 'dbgrid' ) != -1  )
{
  idx = getDBgrid_index( objectID );
  if(  dbgrid_enabled[ idx ]  )
  {
    dbGrid1_mouseClick( objectID );
  }// End if( dbGrid_enabled[ getButton_index( objectID ) ] )

}// End if( objectID.indexOf( 'dbGrid' ) != -1 )


/**
 *  Funções acrescentada pelo Desenvolvedor
 */

function dbGrid1_mouseClick( objID )
{
  if( objID.indexOf( 'dbgrid1' ) != -1 )
  {
//alert('loginUSER: '+loginUSER);
        nObj = getDBgrid_ID(objID);
        idx  = getDBgrid_index( nObj );
        keyValue = getDBgrid_key_value( nObj, idx );
        arr = keyValue.split( '#' );
        //key = arr[0];
        //alert( key );
        db_grid = 'dbgrid2';
        key = loginUSER + ':' + db_grid + ':' + arr[0];
//alert(key);
        dataAccess.getFields( db_grid );
        dataAccess.getResult( key  );
//alert('key: '+key)
    
    setButton_enabled( "button1", true );

  }// End if( objID.indexOf( 'dbgrid1' ) != -1 )

}// End function dbGrid1_mouseClick( objID )

